petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESFunctionType

Type of function computed

### Synopsis

    typedef enum {SNES_FUNCTION_DEFAULT          = -1,
                  SNES_FUNCTION_UNPRECONDITIONED =  0,
                  SNES_FUNCTION_PRECONDITIONED   =  1} SNESFunctionType;

Support for these is highly dependent on the solver.

### See Also

SNESSolve(), SNESGetConvergedReason(), KSPSetNormType(),
KSPSetConvergenceTest(), KSPSetPCSide()

Level:advanced
Location:src/snes/../../include/petscsnes.h
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages